View Javadoc

    1   package net.sourceforge.pmd.symboltable;
    2
    3   import net.sourceforge.pmd.jsp.ast.ASTCompilationUnit;
    4
    5   /***
    6    * Setting the scope in the root of a JSP AST.
    7    *
    8    * @author pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be
    9    */
    10  public class JspScopeAndDeclarationFinder {
    11
    12      /***
    13       * Set a DummyScope as scope of the given compilationUnit.
    14       *
    15       * @param compilationUnit the ASTCompilationUnit
    16       */
    17      public void setJspScope(ASTCompilationUnit compilationUnit) {
    18          compilationUnit.setScope(new DummyScope());
    19      }
    20  }